---
# SPDX-FileCopyrightText: WTF Kooperative eG <https://wtf-eg.de/>
#
# SPDX-License-Identifier: AGPL-3.0-or-later
kind: pipeline
type: docker
name: default

steps:
- name: docker-publish
  image: plugins/docker
  settings:
    registry: registry.wtf-eg.net
    repo: registry.wtf-eg.net/ki-frontend
    target: ki-frontend
    auto_tag: true
    username:
      from_secret: "docker_username"
    password:
      from_secret: "docker_password"
